org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface ConnectionLoggerImpl.LogLifecycleListener

Enclosing class:
  ConnectionLoggerImpl

    public static interface ConnectionLoggerImpl.LogLifecycleListener

Additional interface logger sends its output to.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `logClosed()` Notifies about log stream being closed.
`void` `logStarted(ConnectionLoggerImpl connectionLogger)` Notifies about logging start.

### Method Detail

#### logStarted

    void logStarted(ConnectionLoggerImpl connectionLogger)

Notifies about logging start. Before this call `ConnectionLoggerImpl` is considered to be simply garbage-collectible. After this call `ConnectionLoggerImpl` must call `logClosed()`.

Parameters:
  `connectionLogger` - instance of host `ConnectionLoggerImpl`, which is nice to have because theoretically we may receive this call before constructor of `ConnectionLoggerImpl` returned

#### logClosed

    void logClosed()

Notifies about log stream being closed. Technically, last messages may arrive even after this. It is supposed that log representation may be closed on this call because we are not 100% accurate.